project-maya
============

An open-source HTML5/CSS3 implementation of a soundboard with icons that will play speech through the HTML5 audio API.
Inspired by the force-removal of SpeakForYourself from the apple appstore due to a patent claim on 12 year old patent that
defines a 'method to reorder speech tiles on a predefined grid'

Status
======
Currently i'm trying to get the project into a state where we can have an actual demo of what an HTML5 soundboard
would look like, implementing features that I see in other speech synthesisers and in SfY

Currently working are:
- Works on IOS, Android and Chrome
- Automated initial config
- Multiple soundboards with words
- Re-ordering words within a soundboard
- Play around mode for touch-and-play, build phrase mode 
- Custom touch handler that determines touchtarget on mouseup instead of mousedown (for people that have proplems pointing)

In the works:
- Make a predefined grid
- Make option to hide words from soundboards
- Allow the user to set icon, backgroundcolor, size of a tile
- Implement a default image database with meaningful icons for words


Known bugs:
- Phrase mode works a bit crappy due to onended events not firing on <audio> in tablets
- Overflow not supported on small screens (should we want this, even?)

Future:
=======
- Automatically save new phrases to audio dir and re-use?
- cache manifest generation
- a little backend with useraccounts to sync data from and to? (opens up possibility for hosted service)
- translation
- more voices / pitch control on alternative TTS services?

Getting started
===============
- Clone this project to a webserver supporting at least static html
- Open index.html
- Your default database will be filled, and you're ready to go and play around with the default dataset
- For using google translate services, PHP is required with "allow_url_fopen = On" in php.ini


Hacking
=======

- Use audio/words.txt + speechgen.php to generate your own wordlist 
- use audio/insert.php to insert them into the sqlite db, and dump this to db.sqlite.sql 
- make sure to chmod 0775 /db.sqlite.sql and db.sqlite
- the project uses Mootools for base JS functions

The default database contains a list of words grabbed from google translate: http://translate.google.com/translate_tts?tl=en&q=yoursound

More info
=========
More to come soon. Keep an eye on Project Maya via Hacker News:

http://news.ycombinator.com/item?id=4107019