<?php

/** 
 * Fill database with the list of wave files.
 * usage: php insert.php
 * input: ./*.wav
 * output: ./db.sqlite refilled, ./db.sqlite.sql as db dump.
 */

     if ($db = new SQLite3(dirname(__FILE__).'/../db.sqlite')) {
        
        $files = glob("*.wav");
        $db->query("delete from audio"); 
        $db->query("delete from page");
        $db->query("UPDATE sqlite_sequence SET seq = 0 WHERE name = 'audio'");
        $db->query("UPDATE sqlite_sequence SET seq = 0 WHERE name = 'page'");
      
        $pageIndex = 1;
        $db->query("insert into page values (NULL, 'Home', {$pageIndex})");
        $maxperpage = 48;
        $count = 1;
        foreach($files as $file) {
            $count++;
            $file = trim($file);
    
            $fname = explode(".", $file);
            $fn = $fname[0];
            $db->query("insert into audio values (NULL, 'speech', 0, '#EFEFEF', '{$fn}', '{$fn}', {$pageIndex}, 0)");
            echo("insert into audio values (NULL, 'speech',0, '#EFEFEF', '{$fn}', '{$fn}', {$pageIndex},0)\n");
            if($count == 48) {
                $pageIndex++;
                $db->query("insert into page values (NULL, 'Page {$pageIndex}',  {$pageIndex})");
                echo("insert into page values (NULL, 'Page {$pageIndex}', {$pageIndex})\n");
            }
        }
        $dir = dirname(__FILE__);
        $dump = `cd {$dir}; sqlite3 ../db.sqlite .dump`;
        file_put_contents(dirname(__FILE__).'/../db.sqlite.sql', "drop table `audio`;\ndrop table `page`;\n".trim($dump));
        echo("Database dump saved.");
       
    } else {
        die($err);
    }